Bug 234146 - cad/calculix-ccx: Update to 2.15
Summary: cad/calculix-ccx: Update to 2.15
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords: needs-qa, patch
: 236670 (view as bug list)
Depends on:
Blocks: 234131 234141
  Show dependency treegraph
 
Reported: 2018-12-18 23:37 UTC by Pedro F. Giffuni
Modified: 2019-03-20 19:02 UTC (History)
3 users (show)

See Also:


Attachments
Update patch (18.79 KB, patch)
2018-12-18 23:37 UTC, Pedro F. Giffuni
no flags Details | Diff
Update calculix-ccx to version 2.15 (16.72 KB, patch)
2018-12-19 00:15 UTC, Pedro F. Giffuni
no flags Details | Diff
Update calculix-ccx to version 2.15 (16.72 KB, patch)
2019-01-10 05:01 UTC, Pedro F. Giffuni
no flags Details | Diff
Updated diff (without metis issue) (16.90 KB, patch)
2019-02-16 00:12 UTC, Pedro F. Giffuni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni freebsd_committer 2018-12-18 23:37:20 UTC
Created attachment 200244 [details]
Update patch

- Update to the latest version.
  Changelog: http://www.dhondt.de/new_calc.htm

- Attempt to make the build reproducible concerning the date in the executable.

- Drop (perhaps temporarily) the taucs dependency. It brings a secondary dependency on metis4 which we are not packaging.

- Pet portlint.
Comment 1 Pedro F. Giffuni freebsd_committer 2018-12-19 00:15:56 UTC
Created attachment 200247 [details]
Update calculix-ccx to version 2.15

Oops .. wrong patch.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-19 02:45:48 UTC
Reporter is maintainer, is committer, assign accordingly, pending QA and ports approval.
Comment 3 Pedro F. Giffuni freebsd_committer 2018-12-19 03:31:35 UTC
(In reply to Kubilay Kocak from comment #2)

I am afraid that assigning port PRs to me won't help get the port committed as it will a lot less visible to ports committers ... I now have a bunch of ports, that no ports committer is looking at because they are already assigned to a committer(?).
Comment 4 Pedro F. Giffuni freebsd_committer 2018-12-19 03:41:59 UTC
A note: without consulting me the dependency to arpack95 was removed and replaced with arpack-ng which is a parallel version of the same code.

When I ported this years ago, there was an application note that the code depended on the serial version of arpack95, which also used an older version of lapack2. We did some adjustments to ensure the port worked correctly for CalculiX.

I have no idea if CalculiX still works: I am consultimg upstream. Depending on what upstream says I may end up building with the internal arpack, which is a step backwards IMHO.

PS. I shouldn't be assigned to this port, as I am not a ports committer so someone else has to approve it.
Comment 5 Yuri Victorovich freebsd_committer 2018-12-19 03:45:45 UTC
I got a word from the arpack people that the old arpack is unsafe to use, and arpack-ng should be strongly preferred. This is why I removed it.

Yuri
Comment 6 Yuri Victorovich freebsd_committer 2018-12-19 04:43:45 UTC
It fails to fetch:
=> Attempting to fetch http://www.dhondt.de/ccx_2.15.src.tar.bz2
fetch: http://www.dhondt.de/ccx_2.15.src.tar.bz2: size mismatch: expected 1219901, actual 1434440
Comment 7 Pedro F. Giffuni freebsd_committer 2018-12-19 04:44:49 UTC
(In reply to Yuri Victorovich from comment #5)

I have done some few tests now and the results appear to match what is expected.

Still today the compilation instructions point to the original arpack website so if you had asked me I would have contacted the CalculiX developers first. Such changes are delicate and can break completely the known behaviour of such programs.
Comment 8 Pedro F. Giffuni freebsd_committer 2018-12-19 04:47:36 UTC
(In reply to Yuri Victorovich from comment #6)
The authors are known to upload last minute fixes without changing the version :(.
I will recalculate the checksums.
Comment 9 Pedro F. Giffuni freebsd_committer 2018-12-19 04:58:12 UTC
(In reply to Pedro F. Giffuni from comment #8)
And the new version is now broken:
...
gfortran8 -O -fpic -Wl,-rpath=/usr/local/lib/gcc8 -O3  -c keystart.f
gfortran8 -O -fpic -Wl,-rpath=/usr/local/lib/gcc8 -O3  -c knotmpc.f
gfortran8 -O -fpic -Wl,-rpath=/usr/local/lib/gcc8 -O3  -c labyrinth.f
gfortran8 -O -fpic -Wl,-rpath=/usr/local/lib/gcc8 -O3  -c lab_straight_ppkrit.f
gmake[2]: *** No rule to make target 'lbfgsb.o', needed by 'ccx_2.15.a'.  Stop.
gmake[2]: *** Waiting for unfinished jobs....
gmake[2]: Leaving directory '/usr/ports/cad/calculix-ccx/work/CalculiX/ccx_2.15/src'

Lets wait a couple of days for upstream to fix it again!
Comment 10 Pedro F. Giffuni freebsd_committer 2019-01-10 05:01:23 UTC
Created attachment 200975 [details]
Update calculix-ccx to version 2.15

Upsteam has rerolled the tarball, yet again, to fix the build issue.
Comment 11 kunda 2019-01-14 20:21:47 UTC
Is the upstream issue now solved?
Comment 12 Pedro F. Giffuni freebsd_committer 2019-01-15 00:55:54 UTC
(In reply to kunda from comment #11)
Yes.

I am not a ports committer though so we have to wait.
Comment 13 kunda 2019-02-06 17:48:25 UTC
(In reply to Pedro F. Giffuni from comment #12)
Any sign of a ports committer ?
Comment 14 Pedro F. Giffuni freebsd_committer 2019-02-07 04:16:37 UTC
(In reply to kunda from comment #13)
I did my part ... we need to bug the ports guys now.
Comment 15 Tobias C. Berner freebsd_committer 2019-02-15 20:48:24 UTC
Moin moin

It unfortunately fails to build for me on current


[...]
gcc8 -O2 -pipe  -fpic -fstack-protector -Wl,-rpath=/usr/local/lib/gcc8 -fno-strict-aliasing  -O3  -I/usr/local/include -I/usr/local/include/spooles -DARCH="FreeBSD" -DSPOOLES -DARPACK -DMATRIXSTORAGE -DNETWORKOUT -c writeheading.c
gmake[1]: *** No rule to make target '-lmetis', needed by 'ccx_2.15'.  Stop.
gmake[1]: *** Waiting for unfinished jobs....
In file included from nonlingeo.c:21:
nonlingeo.c: In function 'nonlingeo':
[...]


mfg Tobias
Comment 16 Tobias C. Berner freebsd_committer 2019-02-15 20:53:30 UTC
(In reply to Tobias C. Berner from comment #15)
Looks like you might be missing a dependency on math/metis.
Comment 17 Pedro F. Giffuni freebsd_committer 2019-02-16 00:01:38 UTC
(In reply to Tobias C. Berner from comment #16)

Actually the issue is actually that I left -lmetis in the build Makefile.

I decided to drop taucs (and metis) dependency until the deprecation of metis4 is resolved.

I will update the patch soon. Thanks!
Comment 18 Pedro F. Giffuni freebsd_committer 2019-02-16 00:12:34 UTC
Created attachment 202059 [details]
Updated diff (without metis issue)

Sorry for that .. should be fixed (builds here).
Comment 19 rsmith 2019-03-20 19:02:37 UTC
*** Bug 236670 has been marked as a duplicate of this bug. ***